/*****************************************************************************
**                                                                          **
**                         AMIC Proprietary Document                        **
**               Copyright (c) 2004-2008 AMIC Technology Inc.               **
**                                                                          **
**            No.2, Li-Hsin 6th Road, Science_Based Industrid Park,         **
**                       Hsin_Chu City, 300, Taiwan, ROC.                   **
**                 Tel: 886-3-5679966   Fax: 886-3-5679977                  **
**              E-mail:info@amic.com.tw  http: //www.amic.com.tw            **
**                                                                          **
*****************************************************************************/
#ifndef _DEFINE_H_
#define _DEFINE_H_

#include <stdio.h>
#include <string.h>
#include <intrins.h>
#include <ABSACC.h>

#define Sint8  signed   char
#define Uint8  unsigned char
#define Uint16 unsigned int
#define Uint32 unsigned long

#define NO                  0
#define YES                 1

#define LOW                 0
#define HIGH                1

#define ON                  1
#define OFF                 0

#define ENABLE              1
#define DISABLE             0

#define MASTER				1
#define SLAVE				0

#define ONEWAY				0
#define TWOWAY				1

/*********************************************************************
**  Constant Declaration
*********************************************************************/
#define XTAL_FREQ		8		//8MHz
#define TIMEOUT     	50
#define TIMESLOT			10
#define t0hrel      	1333
#define BaudRate38400   (65536-((16000000)/(32*38400)))    //crystal=16MHz,timer2

///*********************************************************************
//**  I/O Declaration
//*********************************************************************/
#define GIO1  		P0_2//P0_7
#define GIO2  		P1_2
#define CKO   		P1_3
//7130
#define SCS       P0_3//P0_0		//spi SCS
#define SCK      	P0_0//P0_1		//spi SCK
#define SDIO      P0_1//P0_2		//spi SDIO

#endif